## org.exist.xqj
Class XQItemType

    java.lang.Object
      org.exist.xqj.XQItemType

All Implemented Interfaces:
  javax.xml.xquery.XQItemType, javax.xml.xquery.XQSequenceType

public class XQItemType
extends java.lang.Object
implements javax.xml.xquery.XQItemType

Author:
  Adam Retter <adam.retter@devon.gov.uk>

Field Summary

Fields inherited from interface javax.xml.xquery.XQItemType

`XQBASETYPE_ANYSIMPLETYPE, XQBASETYPE_ANYTYPE, XQBASETYPE_ANYURI, XQBASETYPE_BASE64BINARY, XQBASETYPE_BOOLEAN, XQBASETYPE_BYTE, XQBASETYPE_DATE, XQBASETYPE_DATETIME, XQBASETYPE_DECIMAL, XQBASETYPE_DOUBLE, XQBASETYPE_DURATION, XQBASETYPE_ENTITIES, XQBASETYPE_ENTITY, XQBASETYPE_FLOAT, XQBASETYPE_GDAY, XQBASETYPE_GMONTH, XQBASETYPE_GMONTHDAY, XQBASETYPE_GYEAR, XQBASETYPE_GYEARMONTH, XQBASETYPE_HEXBINARY, XQBASETYPE_ID, XQBASETYPE_IDREF, XQBASETYPE_IDREFS, XQBASETYPE_INT, XQBASETYPE_INTEGER, XQBASETYPE_LANGUAGE, XQBASETYPE_LONG, XQBASETYPE_NAME, XQBASETYPE_NCNAME, XQBASETYPE_NEGATIVE_INTEGER, XQBASETYPE_NMTOKEN, XQBASETYPE_NMTOKENS, XQBASETYPE_NONNEGATIVE_INTEGER, XQBASETYPE_NONPOSITIVE_INTEGER, XQBASETYPE_NORMALIZED_STRING, XQBASETYPE_NOTATION, XQBASETYPE_POSITIVE_INTEGER, XQBASETYPE_QNAME, XQBASETYPE_SHORT, XQBASETYPE_STRING, XQBASETYPE_TIME, XQBASETYPE_TOKEN, XQBASETYPE_UNSIGNED_BYTE, XQBASETYPE_UNSIGNED_INT, XQBASETYPE_UNSIGNED_LONG, XQBASETYPE_UNSIGNED_SHORT, XQBASETYPE_XDT_ANYATOMICTYPE, XQBASETYPE_XDT_DAYTIMEDURATION, XQBASETYPE_XDT_UNTYPED, XQBASETYPE_XDT_UNTYPEDATOMIC, XQBASETYPE_XDT_YEARMONTHDURATION, XQBASETYPE_XQJ_COMPLEX, XQBASETYPE_XQJ_LISTTYPE, XQITEMKIND_ATOMIC, XQITEMKIND_ATTRIBUTE, XQITEMKIND_COMMENT, XQITEMKIND_DOCUMENT, XQITEMKIND_DOCUMENT_ELEMENT, XQITEMKIND_ELEMENT, XQITEMKIND_ITEM, XQITEMKIND_NODE, XQITEMKIND_PI, XQITEMKIND_TEXT`

Fields inherited from interface javax.xml.xquery.XQSequenceType
`OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE, OCC_ZERO_OR_ONE`

Constructor Summary
`XQItemType()`

Method Summary
`int` `getBaseType()`
`int` `getItemKind()`
`int` `getItemOccurrence()`
`javax.xml.xquery.XQItemType` `getItemType()`
`javax.xml.namespace.QName` `getNodeName()`
`java.net.URI` `getSchemaURI()`
`java.lang.String` `getString()`
`javax.xml.namespace.QName` `getTypeName()`
`boolean` `isAnonymousType()`
`boolean` `isElementNillable()`
`boolean` `isSchemaElement()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQItemType

    public XQItemType()

Method Detail

### getBaseType

    public int getBaseType()

  Specified by:
    `getBaseType` in interface `javax.xml.xquery.XQItemType`

### getItemKind

    public int getItemKind()

  Specified by:
    `getItemKind` in interface `javax.xml.xquery.XQItemType`

### getItemOccurrence

    public int getItemOccurrence()

  Specified by:
    `getItemOccurrence` in interface `javax.xml.xquery.XQItemType`

### getNodeName

    public javax.xml.namespace.QName getNodeName()
                                          throws javax.xml.xquery.XQException

  Specified by:
    `getNodeName` in interface `javax.xml.xquery.XQItemType`
  Throws:
    `javax.xml.xquery.XQException`

### getSchemaURI

    public java.net.URI getSchemaURI()

  Specified by:
    `getSchemaURI` in interface `javax.xml.xquery.XQItemType`

### getString

    public java.lang.String getString()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getString` in interface `javax.xml.xquery.XQItemType`
  Throws:
    `javax.xml.xquery.XQException`

### getTypeName

    public javax.xml.namespace.QName getTypeName()
                                          throws javax.xml.xquery.XQException

  Specified by:
    `getTypeName` in interface `javax.xml.xquery.XQItemType`
  Throws:
    `javax.xml.xquery.XQException`

### isAnonymousType

    public boolean isAnonymousType()

  Specified by:
    `isAnonymousType` in interface `javax.xml.xquery.XQItemType`

### isElementNillable

    public boolean isElementNillable()

  Specified by:
    `isElementNillable` in interface `javax.xml.xquery.XQItemType`

### isSchemaElement

    public boolean isSchemaElement()

  Specified by:
    `isSchemaElement` in interface `javax.xml.xquery.XQItemType`

### getItemType

    public javax.xml.xquery.XQItemType getItemType()

  Specified by:
    `getItemType` in interface `javax.xml.xquery.XQSequenceType`

Copyright (C) Wolfgang Meier. All rights reserved.